{
  config,
  lib,
  pkgs,
  ...
}:
let
  cfg = config.feature.ops;
in
{
  options.feature.ops = {
    enable = lib.mkEnableOption "Setup DevOps tools";
  };

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      age
      awscli2
      opentofu
    ];
  };
}
